Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: Tokyo 10.2.2 E2225 Vcl must be recompiled


This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 7 - Last Post: Dec 18, 2017 4:14 AM Last Post By: Rudy Velthuis (...
Lars Gustafsson

Posts: 6
Registered: 9/23/01
Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 14, 2017 1:50 PM
Upgraded RAD Studio 10.2.1 Ent. to 10.2.2 from ISO. Upgrade was smooth, but when I tried to recompile some VCL related component packages, I got the following error:

"[dcc32 Fatal Error] xxx.dpr: E2225 Never-build package 'vcl' must be recompiled."

The same happened when I created a new empty VCL forms project and compiled with run-time packages.

Same error with both Win32 and Win64 if compiled with run-time packages.

I checked my vcl250.bpl files in bin and bin64 and they are all dated Dec 8,2017

Has anyone else seen this?

/Lars
Remy Lebeau (Te...


Posts: 9,447
Registered: 12/23/01
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 14, 2017 3:18 PM   in response to: Lars Gustafsson in response to: Lars Gustafsson
Lars Gustafsson wrote:

Has anyone else seen this?

10.2.2 has apparently broken DCU compatibility with 10.2.1.

--
Remy Lebeau (TeamB)
Lars Gustafsson

Posts: 6
Registered: 9/23/01
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 15, 2017 8:13 AM   in response to: Remy Lebeau (Te... in response to: Remy Lebeau (Te...
Remy Lebeau (TeamB)
10.2.2 has apparently broken DCU compatibility with 10.2.1.
Ok, so today I made a new attempt. This time, I first uninstalled Tokyo 10.2.1 manually before I installed 10.2.2. Now everything works as it should. I tested both the online installer and the ISO installer (in VM's). But the installation instructions in DocWiki are misleding here. According to DocWiki you should

"Run the installer. The installation wizard detects and uninstalls RAD Studio 10.2 Tokyo before installing 10.2 Tokyo - Release 2."

Not true if you want to upgrade using the ISO installer. So my advice is to first uninstall the older version manually, before installing 10.2.2.
Lajos Juhasz

Posts: 801
Registered: 3/14/14
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 15, 2017 9:27 AM   in response to: Lars Gustafsson in response to: Lars Gustafsson
Lars Gustafsson wrote:

Remy Lebeau (TeamB)
10.2.2 has apparently broken DCU compatibility with 10.2.1.
Ok, so today I made a new attempt. This time, I first uninstalled
Tokyo 10.2.1 manually before I installed 10.2.2. Now everything works
as it should. I tested both the online installer and the ISO
installer (in VM's). But the installation instructions in DocWiki are
misleding here. According to DocWiki you should

"Run the installer. The installation wizard detects and uninstalls
RAD Studio 10.2 Tokyo before installing 10.2 Tokyo - Release 2."

Not true if you want to upgrade using the ISO installer. So my advice
is to first uninstall the older version manually, before installing
10.2.2.

In the earlier version you have had to use the same version of the
installer to install updates. Could not mix the web and the ISO
installer. I have to admit that I've never tried to mix them. (So far
I've used the web installer 0 times, I am always using the ISO image -
and always to a manual uninstall/install never tried the auto detect).
lee Shinn Horng

Posts: 3
Registered: 3/18/02
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 14, 2017 7:35 PM   in response to: Lars Gustafsson in response to: Lars Gustafsson
I have same problem, but I download the full install iso.

Edited by: lee Shinn Horng on Dec 14, 2017 7:36 PM
Lars Gustafsson

Posts: 6
Registered: 9/23/01
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 15, 2017 8:17 AM   in response to: lee Shinn Horng in response to: lee Shinn Horng
lee Shinn Horng wrote:
I have same problem, but I download the full install iso.

My problem was with the ISO installer too. I found that you have to manually uninstall the previous version, before running the ISO installer. After that I could rebuild my libraries and VCL forms projects compiled with run-time packages too.
lee Shinn Horng

Posts: 3
Registered: 3/18/02
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 18, 2017 12:54 AM   in response to: Lars Gustafsson in response to: Lars Gustafsson
Lars Gustafsson wrote:
lee Shinn Horng wrote:
I have same problem, but I download the full install iso.

My problem was with the ISO installer too. I found that you have to manually uninstall the previous version, before running the ISO installer. After that I could rebuild my libraries and VCL forms projects compiled with run-time packages too.
Thanks,I uninstall 10.2.2 and reinstall again,It's work now.
Rudy Velthuis (...


Posts: 7,731
Registered: 9/22/99
Re: Tokyo 10.2.2 E2225 Vcl must be recompiled [Edit]  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 18, 2017 4:14 AM   in response to: Lars Gustafsson in response to: Lars Gustafsson
Lars Gustafsson wrote:

lee Shinn Horng wrote:
I have same problem, but I download the full install iso.

My problem was with the ISO installer too. I found that you have to
manually uninstall the previous version, before running the ISO
installer. After that I could rebuild my libraries and VCL forms
projects compiled with run-time packages too.

I had also expected the .iso installer automatically to uninstall the
previous release and also had problems. Had to uninstall both (10.2 and
10.2.2) and to manually remove all the files. Then I installed 10.2.2
(1978). Now I'm uninstalling build 1978 and downloading build 2004.

--
Rudy Velthuis http://www.rvelthuis.de

"Chaos Theory is a new theory invented by scientists panicked
by the thought that the public were beginning to understand
the old ones." -- Mike Barfield.
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02